<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeethink.system.mapper.CeshiInfoMapper">
    
    <resultMap type="CeshiInfo" id="CeshiInfoResult">
        <result property="ceshiId"    column="ceshi_id"    />
        <result property="name"    column="name"    />
        <result property="phone"    column="phone"    />
        <result property="age"    column="age"    />
        <result property="time"    column="time"    />
    </resultMap>

    <!--<sql id="selectCeshiInfoVo">
        select ceshi_id, name, phone, age, time from ceshi_info
    </sql>-->

 <!--   <select id="selectCeshiInfoList" parameterType="CeshiInfo" resultMap="CeshiInfoResult">
        <include refid="selectCeshiInfoVo"/>
        <where>  
            <if test="name != null  and name != ''"> and name like concat('%', #{name}, '%')</if>
            <if test="phone != null  and phone != ''"> and phone = #{phone}</if>
            <if test="age != null "> and age = #{age}</if>
            <if test="time != null "> and time = #{time}</if>
        </where>
    </select>-->
    
    <select id="selectCeshiInfoById" parameterType="String" resultMap="CeshiInfoResult">
        <!--<include refid="selectCeshiInfoVo"/>
        where ceshi_id = #{ceshiId}-->
                ${sql}
    </select>
        
    <!--<insert id="insertCeshiInfo" parameterType="CeshiInfo">
        insert into ceshi_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="ceshiId != null">ceshi_id,</if>
            <if test="name != null">name,</if>
            <if test="phone != null">phone,</if>
            <if test="age != null">age,</if>
            <if test="time != null">time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="ceshiId != null">#{ceshiId},</if>
            <if test="name != null">#{name},</if>
            <if test="phone != null">#{phone},</if>
            <if test="age != null">#{age},</if>
            <if test="time != null">#{time},</if>
         </trim>
    </insert>-->

    <!--<update id="updateCeshiInfo" parameterType="CeshiInfo">
        update ceshi_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="name != null">name = #{name},</if>
            <if test="phone != null">phone = #{phone},</if>
            <if test="age != null">age = #{age},</if>
            <if test="time != null">time = #{time},</if>
        </trim>
        where ceshi_id = #{ceshiId}
    </update>-->

    <!--<delete id="deleteCeshiInfoById" parameterType="String">
        delete from ceshi_info where ceshi_id = #{ceshiId}
    </delete>

    <delete id="deleteCeshiInfoByIds" parameterType="String">
        delete from ceshi_info where ceshi_id in 
        <foreach item="ceshiId" collection="array" open="(" separator="," close=")">
            #{ceshiId}
        </foreach>
    </delete>-->
    
</mapper>